Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFParentTree

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDictionary
              org.apache.fop.pdf.PDFNumberTreeNode
                  org.apache.fop.pdf.PDFParentTree

All Implemented Interfaces:
  PDFWritable

    public class PDFParentTree

extends PDFNumberTreeNode

Class representing a PDF /ParentTree.

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFDictionary
`entries, order`

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`PDFParentTree()`

Method Summary
`void` | `addToNums(int num, java.lang.Object object)` Adds a number and object to the nums array and increases the upper limit should it be required.

Methods inherited from class org.apache.fop.pdf.PDFNumberTreeNode
`getKids, getLowerLimit, getNums, getUpperLimit, setKids, setLowerLimit, setNums, setUpperLimit`

Methods inherited from class org.apache.fop.pdf.PDFDictionary
`get, getChildren, getChildren, output, put, put, writeDictionary`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFParentTree

    public PDFParentTree()

Method Detail

### addToNums

    public void addToNums(int num,
                          java.lang.Object object)

  Description copied from class: `PDFNumberTreeNode`
  Adds a number and object to the nums array and increases the upper limit should it be required.

  Overrides:
    `addToNums` in class `PDFNumberTreeNode`
  Parameters:
    `num` - The unique number identifying the object in the array
    `object` - The object being added

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.